using System;

namespace MoonWorks.Audio
{
	public class SubmixVoice : Voice
	{
		public SubmixVoice(
			AudioDevice device,
			uint inputChannels,
			uint sampleRate
		) : base(device)
		{
			FAudio.FAudio_CreateSubmixVoice(
				device.Handle,
				out Handle,
				inputChannels,
				sampleRate,
				0,
				0,
				IntPtr.Zero,
				IntPtr.Zero
			);
		}
	}
}
